#include "Particle.h"



Particle::Particle()
{
}
Particle::Particle(int m, sf::Vector2f pos) { //      
	mass = m;
	position = pos;
	speed = sf::Vector2f(0,0); //   - 0
}

void Particle::cler_force() noexcept { //  std::vector   . ..   ,    
	forces.clear();
}

void Particle::addForce(sf::Vector2f & n_force) noexcept { //     std::vector.      
	forces.push_back(n_force);
}
sf::Vector2f Particle::getMainForce() noexcept {//   . ..     ,       std::vector 
	sf::Vector2f res(0, 0);
	for (auto it = forces.begin(); it != forces.end(); ++it)
		res += *it;
	return res;
}
void Particle::update(float && t) noexcept {
	sf::Vector2f prevPos = position; //    
	sf::Vector2f res_force = getMainForce(); //   
	
	position += 0.5f*res_force*t*t / static_cast <float>(mass) + speed*t; //     
	
	//      -     
	//speed = (res_force / static_cast <float>(mass)) * t + speed; //  
	speed = (position - prevPos) / t; //  
	
}


Particle::~Particle()
{
}
